import type { NextPage } from 'next';
import React from 'react';
import { useSelector } from 'react-redux'
import { MainLayout } from '../layouts/Customer';
import { Login } from '../components/admin/pages/login/Login';
import { CardStock, SkeletonStock, BoxScroll } from '../components';
import { useAppDispatch } from '../redux/store';
import { fetchStoke } from '../redux/stoke/stock';
import { selectStokeData } from '../redux/stoke/selectors';

const Admin: NextPage = () => {
  const dispatch = useAppDispatch();

  React.useEffect(() => {
    dispatch(
      fetchStoke(),
    );
  }, [1]);

  const { items, status } = useSelector(selectStokeData);

  const stokes = items.map((obj, index) => <CardStock key={index} {...obj} />);
  const skeletons = [...new Array(4)].map((_, index) => <SkeletonStock key={index} />);

  return (
    <MainLayout>
      <BoxScroll>
        <Entrance/>
      </BoxScroll>
    </MainLayout>
  )
}

export default Admin;
